Skip to main content
GET
/
v1
/
broadcasts
List broadcasts
curl --request GET \
  --url https://api.emailr.dev/v1/broadcasts \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "subject": "<string>",
    "from_email": "jsmith@example.com",
    "template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "segment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "draft",
    "total_recipients": 123,
    "sent_count": 123,
    "delivered_count": 123,
    "opened_count": 123,
    "clicked_count": 123,
    "bounced_count": 123,
    "scheduled_at": "2023-11-07T05:31:56Z",
    "started_at": "2023-11-07T05:31:56Z",
    "completed_at": "2023-11-07T05:31:56Z",
    "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

API key authentication. Use your API key as the bearer token.

Response

List of broadcasts

id
string<uuid>
required
Example:

"123e4567-e89b-12d3-a456-426614174000"

organization_id
string<uuid>
required
name
string
required
subject
string
required
from_email
string<email>
required
template_id
string<uuid> | null
required
segment_id
string<uuid> | null
required
status
string
required
Example:

"draft"

total_recipients
number | null
required
sent_count
number | null
required
delivered_count
number | null
required
opened_count
number | null
required
clicked_count
number | null
required
bounced_count
number | null
required
scheduled_at
string<date-time> | null
required
started_at
string<date-time> | null
required
completed_at
string<date-time> | null
required
created_by
string<uuid> | null
required
created_at
string<date-time>
required